using System;
using System.Text;

internal sealed class Delegate810 : MulticastDelegate
{
	public extern Encoding Invoke();

	public static Encoding smethod_0(Delegate810 delegate810_1)
	{
		return delegate810_1();
	}

	public extern Delegate810(object object_0, IntPtr intptr_0);

	static Delegate810()
	{
		Class10.smethod_13(typeof(Delegate810).TypeHandle);
	}

	internal static Delegate810 delegate810_0;
}
